Vraag Hoe installeer ik Adobe Flash Player?


Ik heb grote problemen gehad met het bekijken van flash-video in 64-bits Ubuntu. Weet iemand een goede manier om flash op het platform te laten draaien?


101
2017-07-28 19:27


oorsprong


@Braiam - deze vraag en antwoorden zijn verouderd. Een bewerking in de vraagtitel is nodig om aan te geven dat deze beperkt is tot oudere versies van ubuntu - cipricus
@cipricus de antwoorden moeten worden bijgewerkt. De vraag zoals deze is, is volledig geldig (door onduidelijkheid) en is niet verouderd, omdat mensen zullen vragen hoe ze Flash kunnen installeren zolang een Adobe Flash Player iets is. - Braiam
@Braiam - ik begrijp je punt, maar een oudere vraag als die op ubuntu 11 of 12 met een definitief hoog gestemd antwoord van hetzelfde tijdperk zal hoogstwaarschijnlijk geen nieuwe antwoorden krijgen. het zou naar mijn mening nuttig zijn om de titel te veranderen om de vraag te beperken tot v.11-12 van het systeem zodat iemand anders een nieuwe kan vragen over de nieuwe systemen en nieuwe omstandigheden met betrekking tot flits zonder dubbel te hoeven riskeren - cipricus
@cipricus Nee. Dat is wat premies zijn voor: De huidige antwoorden zijn verouderd Het huidige antwoord / de huidige antwoorden zijn verouderd en moeten worden herzien gezien de recente wijzigingen. Als je denkt dat de antwoorden verouderd zijn, bied je gewoon een premie aan. Elk antwoord heeft een koptekst die aangeeft voor welke versies de aanvraag geldt. Door, zoals ik al eerder zei, is Flash afhankelijk van de browser en heeft het OP niet gespecificeerd welke browser hij gebruikt. - Braiam


antwoorden:


Voor 11.04 en eerder:

Installeer je het vanuit het Ubuntu Software Center?

  1. Ga naar Toepassingen-> Ubuntu Software Center.
  2. Klik op Canonical Partners
  3. Klik op de Adobe Flash-plug-in 11 en klik op Installeren.

Notitie: dit is de methode die ik gebruik op mijn 64-bit Ubuntu-installatie en het heeft me nog niet opgelost.

enter image description here


81
2017-07-28 19:31



Hetzelfde hier: de standaard (maar proprietary) 64bit-plug-in geïnstalleerd en ik heb geen probleem. - Little Jawa


Voor 11.10 en later

Start Software Center vanuit de Launcher en zoek naar flash 

Er zijn twee items gevonden. De eerste is de verpakking rond de 32bit flash-versie van Adobe. De tweede is de 64bit flash-versie.

Selecteer de tweede flash-ingang - als de volgende afbeelding wordt weergegeven, hebt u de Canonical Partner Repository nog niet eerder ingeschakeld.

enter image description here

Klik Meer informatie

enter image description here

... en klik Gebruik deze bron om de Canonical Partner Repository in te schakelen

enter image description here

zie het einde van dit antwoord voor het bugrapport

Klik Installeren 

enter image description here

Klik op de Installeren knop en voer uw wachtwoord in wanneer daarom wordt gevraagd. Opmerking - u moet toestemming hebben om software te installeren.

enter image description here

De installatie zal doorgaan:

enter image description here

Eenmaal voltooid - start Firefox en blader naar uw Flash-video. Klik met de rechtermuisknop en bevestig dat de nieuwste versie van Flash correct is geïnstalleerd.

enter image description here

Opmerking - Afbeeldingen kunnen worden gewijzigd - de 64bit-versie is pas onlangs verpakt in de laatste week voor de release van Oneiric - Er bestaat momenteel één probleem:

  1. https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/870835

In de tussentijd - gebruik de eerste "Multiverse" 32bit-plug-in in de bovenstaande afbeeldingen of gebruik deze adobe-flashplugin

sudo apt-get install adobe-flashplugin

68
2017-10-09 22:52



Twee dingen: Ten eerste is het aantal tussen haakjes het aantal beoordelingen, niet de beoordeling (zoals je kunt zien, is degene die je hebt geselecteerd lager-gerekend dan de andere). Ten tweede zou ik de andere gebruiken, namelijk de 64bit-versie in plaats van de 32bit-compatibiliteitswrapper. - RAOF
Omdat ik altijd probeer zo lui mogelijk te zijn, installeer ik altijd het pakket ubuntu-beperkte-extras dat is een meta-pakket inclusief adobe's flash-speler onder andere nuttige dingen. Deze mogelijkheid bestond al bij eerdere ubuntu-versies en werkt nog steeds soepel met 11.10. - Ewald
Is de bug 870835 nog steeds geldig of is het nu allemaal opgelost, d.w.z. ik houd mijn ubuntu 12.04 x64 bijgewerkt = Ik heb de nieuwste 64-bits Flash-speler en geen 32-bits versie? - Bucic
Hoe controleer ik of ik 64-bits Ubuntu heb? - Samir
De huidige versie van 13.04 alpha heeft geen adobe-flashplugin pakket in de Canonical repository. Mogelijk gerelateerd aan deze? Er is nog steeds een flashplugin-installer pakket wel. - Lekensteyn


Zo installeer je Adobe Flash Plugin voor Firefox:

  1. Ga naar deze pagina en selecteer de optie .tar.gz voor andere Linux. Download het bestand.
  2. Pak de plugin tar.gz uit en kopieer de bestanden naar de juiste locatie.
  3. Sla lokaal de plugin tar.gz op en noteer de locatie waar het bestand is opgeslagen.
  4. Start terminal en wijzig mappen naar de locatie waar het bestand is opgeslagen.
  5. Pak het tar.gz-bestand uit. Na het uitpakken ziet u het volgende:

    • libflashplayer.so
    • / usr
  6. Identificeer de locatie van de browser plug-ins directory, op basis van uw Linux-distributie en Firefox-versie. (Meestal is dit het geval /usr/lib/mozilla/plugins/)
    Voor ubuntu 14.04 pad is: /usr/lib/firefox/browser/plugins 

  7. Kopiëren libflashplayer.so naar de juiste map met browserinvoegtoepassingen. Typ bij het prompttype:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Kopieer de configuratiebestanden van Flash Player Local Settings naar de map / usr. Typ bij het prompttype:

    sudo cp -r usr/* /usr
    
  9. Start nu uw browser opnieuw.


31
2017-09-04 16:36



softwaremanager was geïnstalleerd, maar dankzij je methode is het eindelijk gelukt, dank je - dhaval
Bedoelde u de usr-map in de nieuwe directory van de flash-speler naar / usr te kopiëren of de inhoud van die map naar / usr te kopiëren? - It's Willem
Er is ook een README-bestand dat je vertelt hoe je dit moet doen. Het bevindt zich in het .tar.gz-bestand. - It's Willem
Ik volgde je weg, nu heb ik de nieuwste versie van Flash Player, maar YouTube-video's openen nog steeds niet - developer
@developer De meeste YouTube-video's kunnen worden afgespeeld zonder Flash te installeren (youtube.com/html5). Ik weet niet zeker of je video's niet worden afgespeeld vanwege Flash of een andere reden. Heeft u uw browser opnieuw gestart? - ignite


Omdat u hebt verklaard dat dit de eerste keer is dat u ooit ubuntu hebt gebruikt. ik zou willen voorstellen dat je het pakket ubuntu-restricted-extras installeert, dit omvat veel nuttige dingen zoals adobe flash en codecs en MS fonts etc.

je kunt dit op verschillende manieren doen.

software center: klik op deze link:

Install via the software center

of in een terminal: type sudo apt-get install ubuntu-restricted-extras

synaptic: zoek naar het pakket ubuntu-restricted-extras klik met de rechtermuisknop op het pakket en selecteer installeren en selecteer vervolgens mark. nadat u op de knop Toepassen hebt geklikt, worden deze allemaal geïnstalleerd.


21
2018-04-02 14:02



zal het de best mogelijke Flash Player installeren voor mijn systeem of zijn er betere versies? Zal het een 64-bits versie installeren? - Bucic


Er is een eenvoudige oplossing voor dit probleem.

Open je Firefox en ga naar Youtube. Klik op een video. Het zal zeker niet spelen omdat je geen Flash Player hebt geïnstalleerd. Maar Firefox zal je promoten install missing plug-in op de top. Klik er gewoon op en volg de procedure. Daarna begint je video te spelen. Zorg dat je de laatste hebt Firefox browser geïnstalleerd.

Of probeer dit in uw terminal

sudo apt-get install flashplugin-installer

13
2017-09-04 16:38



deze sudo apt-get install flashplugin-installer werkt perfect voor mij - leticia


Haal mijn Flash-Aid extensie voor Firefox. Het zorgt voor het downloaden en installeren van de juiste versie voor uw systeemarchitectuur en verwijdert ook conflicterende plug-ins. Als je een 64 bit hebt, kun je ook de preview-versie met 64 bit installeren, die betere resultaten oplevert dan de 32 bit met nspluginwrapper.

Trouwens, als je niets naar de map ~ / .mozilla / plugins kunt kopiëren, moet je het eigendom van de map ~ / .mozilla controleren. Het zou moeten toestaan ​​om alles daar te kopiëren. Tenzij je natuurlijk verwijst naar een systeemmap buiten je thuismap, waarvoor rootprivilege vereist is.


5
2017-12-02 12:40



Dank je!!! Dit antwoord moet aan de top staan ​​voor 12.10 - Pramod
flash-aid is verwijderd door de auteur - BЈовић
Zet het terug ... pls - It's Willem
Toot slecht dat het werd verwijderd! ... - Cristiana Nicolae


Het hangt af van welke browser u gebruikt. Google Chrome (niet Chromium) heeft standaard Flash Player.

Ga naar www.google.com/chrome en klik op downloaden Chrome. Kies 64-bits .deb (iedereen die dit leest met 32-bits machines moet de 32-bits .deb selecteren)

Wanneer u op het .deb-bestand klikt wanneer het is gedownload, wordt dit geopend in het Software Center. Klik nu op Installeren en wanneer deze klaar is, vindt u de browser in Toepassingen -> Internet.


4
2018-04-02 20:00





Gebruik het Ubuntu Software Center (in het menu Toepassingen). In het tekstinvoerveld (van het zoekvak) kunt u zoeken naar "flash" en de resultaten vullen één Adobe Flash-plug-in (let op het Adobe-logo). Kies dat en volg de aanwijzingen om de bron te gebruiken.


2
2017-12-01 19:14





Controleer nogmaals welke map "plugin" wordt gebruikt. Ik moest een goed uur een keer doorbrengen, gewoon door alle plug-in mappen ploegen tot ik ontdekte welke mijn firefox aan het lezen was, en dan ln -sze allemaal om te verwijzen naar een gemeenschappelijke.

Einde van de dag kunt u het op de verkeerde plaats laten vallen.

Ook start firefox vanaf de opdrachtregel, u kunt mogelijk fouten zien. Voorbeeld draait op een x86 flash-speler in een x64-browser (niet os) en omgekeerd. Vanaf de opdrachtregel (%> firefox) zou u de plugin initialisatie logregels moeten zien. (probeer misschien eerst deze: P)

Ook alles in /usr/lib/... is eigendom van root, dus dat zou moeten sudo cp libflashplayer.so /usr/lib/firefox/plugin waar .../firefox/plugin wijst naar de locatie van de firefox-plug-in-map.


2
2017-12-01 19:51



Uitzoeken welke plug-in uw processen daadwerkelijk gebruiken, is eenvoudig: sudo lsof | grep libflashplayer - arielf


Definitieve oplossing voor 64-bits Flash op 11.10

Ik heb 64-bits Flash op mijn 11.10-systemen zonder wikkels opgelost. Als u de bovenstaande oplossingen volgt, krijgt u nog steeds de 32-bits versie en wrappers.

Opmerking: het meeste hiervan kan ook in een terminal worden gedaan, in dat geval hoeft u Synaptic niet te installeren. Verder kan het zijn dat het uitvoeren van stappen 5, 6 en 8 voldoende is, maar ik heb dit nog niet getest.

  1. Synaptic installeren (Software Center toont niet het pakket dat u nodig hebt, niet in de hoofditems en niet in de technische items en zelfs niet nadat het is geïnstalleerd)
  2. Start Synaptic en zoek naar 'flash'
  3. Sorteren op geïnstalleerde staat
  4. Verwijder alle flash-gerelateerde pakketten (zoals flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common etc.). Als er niets in de lijst staat, hebt u Flash waarschijnlijk helemaal niet geïnstalleerd. Ga in dat geval gewoon door naar de volgende stap.
  5. Schakel de Canonical partner repository in (zie bovenstaande berichten over hoe dat te doen)
  6. Update de pakketlijst (reken er niet op dat Software Center dit voor u doet, soms niet) door op 'Opnieuw laden' te klikken
  7. Zoek opnieuw naar 'flash'
  8. Installeer het pakket 'adobe-flashplugin'. Als het niet in de lijst voorkomt, is er iets misgegaan met het bijwerken van de pakketlijsten. Probeer Synapic te stoppen en opnieuw te starten en klik vervolgens op 'Opnieuw laden'.

Een extra pakket, 'adobe-flash-properties-gtk' zal automatisch worden geïnstalleerd. Niets meer.

Nu heb je volledige 64-bits Flash zonder omhulsels en ander afval in zowel Firefox als Chromium. Een herstart van uw browser (s) is echter wel vereist. Als het nog steeds niet werkt, probeer dan opnieuw op te starten (er kan ergens een valse referentie zijn naar de oude plug-ins).


2
2017-11-12 12:18





sudo apt-get remove --purge adobe-flashplugin flashplugin* nspluginwrapper
sudo apt-get install --reinstall adobe-flashplugin

Ref: http://ubuntuguide.net/install-adobe-flash-pluginfix-not-working-problem-in-ubuntu-11-10-oneiric


2
2017-11-20 10:21